[Bug libgcj/16032] New: libgcj should reject class files with incorrect version numbers

tromey at gcc dot gnu dot org gcc-bugzilla@gcc.gnu.org
Thu Jun 17 03:51:00 GMT 2004


Currently libgcj allows class files with bad version numbers.
>From defineclass.cc:

  /* FIXME: Decide which range of version numbers to allow */

  /* int minor_version = */ read2u ();
  /* int major_verson  = */ read2u ();

Sun's JDK rejects some files with bad version numbers,
we ought to as well.

-- 
           Summary: libgcj should reject class files with incorrect version
                    numbers
           Product: gcc
           Version: unknown
            Status: UNCONFIRMED
          Severity: normal
          Priority: P2
         Component: libgcj
        AssignedTo: unassigned at gcc dot gnu dot org
        ReportedBy: tromey at gcc dot gnu dot org
                CC: gcc-bugs at gcc dot gnu dot org,java-prs at gcc dot gnu
                    dot org


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=16032



More information about the Java-prs mailing list